%define cvsdate 20030622
%undefine cvsdate
%def_with lame
%def_with vorbis
%def_with a52dec
%def_with faad

Name: ffmpeg
Version: 0.4.8
%define release alt2

%ifdef cvsdate
Release: %{release}cvs%cvsdate
%else
Release: %release
%endif

Summary: Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(ru_RU.KOI8-R):  / MPEG1/MPEG4/H263/RV  AC3/MPEG
Group: Video
License: GPL
Url: http://%name.sourceforge.net

%ifndef cvsdate
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
%else
Source: %name-%cvsdate.tar.bz2
%endif

# Automatically added by buildreq on Thu Oct 02 2003
BuildRequires: XFree86-devel XFree86-libs esound freetype freetype2-devel imlib2-devel libSDL-devel libalsa libaudiofile libfaad-devel liblame-devel libogg-devel libvorbis-devel zlib-devel

%description
%name is a hyper fast realtime audio/video encoder, a streaming
server and a generic audio and video file converter. 

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description -l ru_RU.KOI8-R
%name --  "" /   , 
    ,      
    .

%name      Video4Linux  
        
  DCT/motion.      
 MPEG audio layer 2  ,   AC3.

%package -n lib%name
Summary: Shared libraries to run ffmpeg
Group: System/Libraries
Provides: libavcodec.so
Provides: libavformat.so

%description -n lib%name
This package contains the shared libraries required for ffmpeg

%description -n lib%name -l ru_RU.KOI8-R
      ffmpeg.

%package devel
Summary: Development files for ffmpeg
Group: Development/C
Requires: lib%name = %version-%release

%description devel
This package includes the development libraries, header files and
documentation necessary for developing programs which will use ffmpeg.

%description -l ru_RU.KOI8-R devel
          
 ffmpeg --   ,    
.

%prep
%ifndef cvsdate
%setup -q -n %name-%version
%else
%setup -q -n %name-%cvsdate
%endif

%__subst 's,\-lImlib2,`imlib2-config --libs`,' configure

%build
%add_optflags %optflags_shared

%configure \
%ifnarch i686 athlon
    --disable-mmx \
%endif
    --enable-shared \
%if_with lame
    --enable-mp3lame \
%endif
%if_with vorbis
    --enable-vorbis \
%endif
%if_with a52dec
    --enable-a52bin \
%endif
%if_with faad
    --enable-faadbin
%endif

#    --enable-shared-pp

# SMP-incompftible build
%make
%make_build -C doc

%install
%makeinstall

# server config
%__install -pD -m640 doc/ffserver.conf %buildroot%_sysconfdir/ffserver.conf

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*
%config(noreplace) %_sysconfdir/*
%doc README Changelog doc/*.html

%files -n lib%name
%_libdir/*.so
%dir %_libdir/vhook
%_libdir/vhook/*.so

%files devel
%_includedir/*
%doc doc/{TODO,*.txt,*.html}

%changelog
* Fri Nov 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt2
- build with faad support.
- fixed imlib2 detection.
- fixed TEXTREL bug.

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt1
- 0.4.8

* Fri Jul 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1cvs20030622
- cvs snapshot to build vlc-0.6.
- summary, descriptions by avp.

* Mon Mar 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1cvs20030304
- cvs snapshot to build vlc.

* Sat Dec 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1
- official release.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.4cvs20021212
- current cvs snapshot.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.3cvs20021101
- current cvs snapshot.

* Sun Jul 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.2cvs20020721
- current cvs snapshot (libname changed to libavcodec).
- ffserver.conf from documentation added in filelist as a config.

* Sat May 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.1cvs20020525
- First build for Sisyphus.
